### Class

# FwupdPlugin TemporaryDirectory

#### Description [src]

    final class FwupdPlugin.TemporaryDirectory : GObject.Object
    {
      /* No available fields */
    }

An object to create and destroy a temporary directory.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### fu_temporary_directory_new

Creates a new temporary directory that will be deleted (recursively) when this object is destroyed.

since: 2.1.1

#### Instance methods

###### fu_temporary_directory_build

Builds a path within the temporary_directory.

since: 2.1.1

###### fu_temporary_directory_get_path

Gets the path of the temporary directory.

since: 2.1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginTemporaryDirectoryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.